petsc-3.12.4 2020-02-04
Report Typos and Errors

# VecScatterFFTWToPetsc

Converts FFTW output to the PETSc vector.

### Synopsis

    #include "petscmat.h"
    #include "petscvec.h"
    PetscErrorCode VecScatterFFTWToPetsc(Mat A,Vec x,Vec y)

Collective on Mat

### Input Parameters

| A | - FFTW matrix
| x | - FFTW vector

### Output Parameters

y -PETSc vector

Note: While doing real transform the FFTW output of backward DFT contains extra zeros at the end of last dimension. VecScatterFFTWToPetsc removes those extra zeros.

### See Also

VecScatterPetscToFFTW()

### Level

intermediate

### Location

src/mat/impls/fft/fftw/fftw.c

### Implementations

VecScatterFFTWToPetsc_FFTW in src/mat/impls/fft/fftw/fftw.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages